# Kemoverse - Fediverse Gacha Bot

A Python-based gacha-style bot for the Fediverse that interfaces with either Misskey or Pleroma instances.

## Project Overview
- **Language**: Python 3.11+
- **Framework**: Flask for web interface
- **Database**: SQLite
- **Fediverse Support**: Configurable for Misskey or Pleroma instances
- **API Integration**: Uses Misskey.py library for Fediverse API communication

## Key Components
- `bot/` - Core bot functionality including gacha mechanics, character management, and API interactions
- `web/` - Flask web application for user interface and card management
- `db.py` - Database utilities and schema management
- `config.ini` - Instance configuration (API keys, instance URL, admin users)

## Configuration
The bot is configured via `config.ini` to connect to either a Misskey or Pleroma Fediverse instance. Key settings include:
- Instance URL and API credentials
- Bot user account details
- Administrator user permissions
- Database location

## Development Commands
- Install dependencies: `pip install -r requirements.txt`
- Run bot: `python dev_runner.py`
- Start web interface: `python web/app.py`

## Testing
Run tests with appropriate Python testing framework (check for pytest, unittest, or similar in project).